Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 3)
@@ -8,103 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_pegrid.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.28  2006/04/26 13:23:32  raasch
 ! lcmuk does not understand the !$ comment so a cpp-directive is required
-!
-! Revision 1.27  2006/04/26 12:50:32  raasch
-! Get the number of OpenMP threads
-!
-! Revision 1.26  2006/02/23 12:34:57  raasch
-! Calculation of nanz_sums, nanz_2dh and nanz_3d moved to init_3d_model,
-! anz_y.. renamed ngp_y.., + MPI type type_x_int
-!
-! Revision 1.25  2005/10/20 15:37:36  raasch
-! error removed: the last PE in a row is not allowed to have more grid points
-! than the other PES (only less)
-!
-! Revision 1.24  2005/03/26 20:35:06  raasch
-! Extensions for non-cyclic boundary conditions
-! MIN function must be used instead of MAX for deciding if a switch to PE0 is
-! useful (multigrid-method), maximuma_grid_level_l is defined in case that a
-! pre-defined value for mg_switch_to_pe0_level is given (caused errors on NEC)
-!
-! Revision 1.23  2004/04/30 12:27:13  raasch
-! Setting 1d-decomposition as default on decalpha, indices for direct
-! transpositions z --> y and y --> x added, +module poisfft_mod,
-! data types for mpi_alltoallv removed (not neeeded any more),
-! poisfft_hybrid is no longer enforced in case of a 1d-decomposition along x,
-! an enlarged grid which will fit all transposition demands is calculated,
-! impulse_advec renamed momentum_advec
-!
-! Revision 1.22  2003/10/29 08:56:20  raasch
-! Number of possible grid levels for the mulitgrid-method are calculated
-! based on the total domain grid
-!
-! Revision 1.21  2003/08/01 08:40:03  raasch
-! Error removed: for a 1D-decomposition along x, the number PEs must also
-! be an integral divisor of the number of gridpoints along y
-!
-! Revision 1.20  2003/05/09 14:27:26  raasch
-! Setting 1d-decomposition as default on linux clusters
-!
-! Revision 1.19  2003/04/16 13:00:11  raasch
-! Call of fft_1dd_init, +module fft_for_1d_decomp
-!
-! Revision 1.18  2003/03/16 09:39:57  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.17  2003/03/12 16:32:47  raasch
-! A 1d-decomposition along x is the default on NEC hosts
-!
-! Revision 1.16  2002/12/19 15:40:39  raasch
-! In case of 1d-decomposition along x only a part of the integral divisor
-! conditions is checked, on IBM hosts a 1d-decomposition along x is the
-! default, a switch from Poisson-FFT-solver to the hybrid-solver is made
-! in case of 1d-decomposition along x, the hybrid-solver does not force a
-! 1d-decomposition any more, STOP replaced by call of local_stop
-!
-! Revision 1.15  2002/06/11 13:10:58  raasch
-! Usage of the Poisson-hybrid-solver forces a 1d-decomposition,
-! initialization of hybrid-solver
-!
-! Revision 1.14  2001/08/21  09:49:45  09:49:45  raasch (Siegfried Raasch)
-! MPI_COMM_WORLD replaced by comm_palm
-! 
-! Revision 1.13  2001/07/20 13:07:26  raasch
-! In case of using multigrid method, grid levels and additional MPI derived data
-! types are calculated. anz_yz and type_xz are now arrays.
-!
-! Revision 1.12  2001/03/30 07:32:01  raasch
-! Calculations of nw and nw1 removed,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.11  2001/01/22 08:33:48  raasch
-! Module test_variables removed
-!
-! Revision 1.9  2000/12/28 13:16:37  raasch
-! definition of mpi_particle_type moved to subroutine init_particles
-!
-! Revision 1.8  2000/04/27 06:54:03  raasch
-! Processor topology can now be prescribed by the user using npex and npey,
-! all comments translated into English
-!
-! Revision 1.7  1999/11/25 16:23:36  raasch
-! MPI-Datentyp fuer Partikeltransfer vereinbart
-!
-! Revision 1.6  1998/07/16 06:50:23  raasch
-! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
-!
-! Revision 1.5  1998/07/06 12:17:06  raasch
-! + USE test_variables
-!
-! Revision 1.4  1998/03/18 20:13:42  raasch
-! myid_char auf 5 Zeichen erweitert
-!
-! Revision 1.3  1998/01/23 10:02:08  raasch
-! Gitterpunktzahlen und Datentyp fuer 2D-Randaustausch
-! anz_yz_p, type_xz_p in anz_yz und type_xz umbenannt
-!
-! Revision 1.2  1997/08/11 06:18:28  raasch
-! Gitterpunktanzahl von globalen Feldern werden berechnet
 !
 ! Revision 1.1  1997/07/24 11:15:09  raasch
